import React from 'react';
import type { ICronTriggerConfigProps } from './cronConfig';
export interface ICronAdvanceState {
    description?: string;
    errorMessage?: string;
}
export declare class CronAdvance extends React.Component<ICronTriggerConfigProps, ICronAdvanceState> {
    private destroy$;
    constructor(props: ICronTriggerConfigProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private validateCronExpression;
    private onUpdateTrigger;
    render(): JSX.Element;
}
